<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "scheduling_mail_comment".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "SchedulingMailComment".
 *
 * Columns in table "scheduling_mail_comment" available as properties of the model,
 * followed by relations of table "scheduling_mail_comment" available as properties of the model.
 *
 * @property string $id
 * @property string $scheduling_mail_id
 * @property integer $account_id
 * @property string $note
 * @property string $date_added
 * @property string $date_updated
 *
 * @property SchedulingMail $schedulingMail
 * @property Account $account
 */
abstract class BaseSchedulingMailComment extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'scheduling_mail_comment';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'SchedulingMailComment|SchedulingMailComments', $n);
    }

    public static function representingColumn()
    {
        return 'note';
    }

    public function rules()
    {
        return array(
            array('scheduling_mail_id, account_id, note, date_added, date_updated', 'required'),
            array('account_id', 'numerical', 'integerOnly' => true),
            array('scheduling_mail_id', 'length', 'max' => 10),
            array('note', 'length', 'max' => 255),
            array('id, scheduling_mail_id, account_id, note, date_added, date_updated', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'schedulingMail' => array(self::BELONGS_TO, 'SchedulingMail', 'scheduling_mail_id'),
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'scheduling_mail_id' => null,
            'account_id' => null,
            'note' => Yii::t('app', 'Note'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_updated' => Yii::t('app', 'Date Updated'),
            'schedulingMail' => null,
            'account' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('scheduling_mail_id', $this->scheduling_mail_id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('note', $this->note, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_updated', $this->date_updated, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
